%define build_heimdal	0
%{?_with_heimdal: %{expand: %%global build_heimdal 1}}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define _disable_ld_no_undefined 1

Summary:	Kerberos 5 authentication dialog
Name:		krb5-auth-dialog
Version:	43.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Base
URL:		https://www.redhat.com/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	appstream-util
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
%if %build_heimdal
BuildRequires:	heimdal-devel
%else
BuildRequires:	pkgconfig(krb5)
%endif

%description
This package contains a dialog that warns the user when their Kerberos
tickets are about to expire and lets them renew them.

%prep
%setup -q
%autopatch -p1

%build
%meson -D etpo=enabled
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README.md AUTHORS NEWS
%license COPYING
%{_bindir}/krb5-auth-dialog
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libka-plugin-afs.*
%{_libdir}/%{name}/plugins/libka-plugin-dummy.*
%{_libdir}/%{name}/plugins/libka-plugin-gnomelock.*
%{_libdir}/%{name}/plugins/libka-plugin-pam.*
%{_datadir}/icons/hicolor/*/status/*
%config(noreplace) %{_sysconfdir}/xdg/autostart/krb5-auth-dialog.desktop
%{_datadir}/applications/org.gnome.KrbAuthDialog.desktop
%{_datadir}/dbus-1/services/org.gnome.KrbAuthDialog.service
%{_datadir}/glib-2.0/schemas/org.gnome.KrbAuthDialog.gschema.xml
%{_metainfodir}/krb5-auth-dialog.metainfo.xml
%{_mandir}/man1/*


%changelog
* Tue May 09 2023 daviddavid <daviddavid> 43.0-1.mga9
+ Revision: 1956393
- new version 43.0
- switch to meson build system

* Tue Apr 05 2022 umeabot <umeabot> 3.26.1-5.mga9
+ Revision: 1844260
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 3.26.1-4.mga8
+ Revision: 1528500
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Aug 21 2019 daviddavid <daviddavid> 3.26.1-3.mga8
+ Revision: 1430805
- adjust BR for new NM

* Thu Oct 04 2018 umeabot <umeabot> 3.26.1-2.mga7
+ Revision: 1317376
- Mageia 7 Mass Rebuild

* Tue Nov 14 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1177383
- new version 3.26.1

* Fri Sep 15 2017 cjw <cjw> 3.20.0-2.mga7
+ Revision: 1153917
- rebuild for new find_lang

* Fri Oct 07 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 1059324
- new version 3.20.0

* Mon Jan 04 2016 gw666 <gw666> 3.15.4-2.mga6
+ Revision: 919466
- rebuild

* Sun Jun 21 2015 ovitters <ovitters> 3.15.4-1.mga6
+ Revision: 838072
- new version 3.15.4

* Fri Oct 24 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 792932
- new version 3.14.0

* Wed Oct 15 2014 umeabot <umeabot> 3.12.0-3.mga5
+ Revision: 738860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-2.mga5
+ Revision: 681192
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 638531
- new version 3.12.0

* Sat Oct 19 2013 umeabot <umeabot> 3.8.0-2.mga4
+ Revision: 523668
- Mageia 4 Mass Rebuild

* Fri May 24 2013 gw666 <gw666> 3.8.0-1.mga4
+ Revision: 426117
- new version
- replace gconf by gschema

* Sat Jan 12 2013 umeabot <umeabot> 3.2.1-2.mga3
+ Revision: 356463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 gw666 <gw666> 3.2.1-1.mga3
+ Revision: 309192
- imported package krb5-auth-dialog


* Sat Feb 25 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.2.1-1
+ Revision: 780703
- new version 3.2.1
- cleaned up spec
- converted BRs to pkgconfig provides

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 0.17-3
+ Revision: 677118
- rebuild to add gconf2 as req

* Sat Apr 30 2011 Funda Wang <fwang@mandriva.org> 0.17-2
+ Revision: 661049
- fix build

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 0.17-1mdv2011.0
+ Revision: 577679
- new version
- update file list

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.16-1mdv2011.0
+ Revision: 551160
- update build deps
- new version
- update file list

* Sat Apr 03 2010 Götz Waschk <waschk@mandriva.org> 0.15-1mdv2010.1
+ Revision: 530891
- update to new version 0.15

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2010.1
+ Revision: 460893
- update to new version 0.14

* Mon Sep 28 2009 Götz Waschk <waschk@mandriva.org> 0.13-1mdv2010.0
+ Revision: 450667
- new version
- drop patch

* Sun Aug 30 2009 Götz Waschk <waschk@mandriva.org> 0.12-3mdv2010.0
+ Revision: 422661
- fix crash in preferences

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 0.12-2mdv2010.0
+ Revision: 401522
- disable networkmanager support
- update file list

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2010.0
+ Revision: 395619
- update to new version 0.12

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2010.0
+ Revision: 386081
- new version
- update file list
- fix build deps

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 0.10-1mdv2010.0
+ Revision: 379704
- drop patches
- new version

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2010.0
+ Revision: 371156
- new version
- drop patch 1
- new version
- rediff patches 0,3
- add missing file
- update file list
- update build deps

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 0.8-2mdv2009.1
+ Revision: 328720
- drop patch 1

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2009.1
+ Revision: 328495
- new version
- update build deps
- fix source URL
- update file list
- rediff patch 1
- drop patch 2
- fix format strings and linking

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 0.7-7.1mdv2009.0
+ Revision: 209088
- BuildRequires: libglade2.0-devel
- import krb5-auth-dialog


* Mon Feb 18 2008 Christopher Aillon <caillon@redhat.com> - 0.7-7
- Rebuild to celebrate my birthday (and GCC 4.3)

* Thu Nov  1 2007 Matthias Clasen <mclasen@redhat.com> - 0.7-6
- Fix the Comment field in the desktop file (#344351)

* Mon Oct 22 2007 Christopher Aillon <caillon@redhat.com> - 0.7-5
- Don't start multiple times in KDE (#344991)

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.7-4
- Rebuild for build ID

* Mon Aug 13 2007 Christopher Aillon <caillon@redhat.com> 0.7-3
- Update the license tag

* Thu Mar 15 2007 Karsten Hopp <karsten@redhat.com> 0.7-2
- rebuild with current gtk2 to add png support (#232013)

* Mon Jul 24 2006 Christopher Aillon <caillon@redhat.com> - 0.7-1
- Update to 0.7
- Don't peg the network and CPU when the KDC is unavailable

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.6.cvs20060212-4
- rebuild for dbus 

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.6.cvs20060212-3.1
- rebuild

* Sat Jun 24 2006 Jesse Keating <jkeating@redhat.com> - 0.6.cvs20060212-3
- Add missing BRs perl-XML-Parser, gettext
- Work around no network manager stuff on z900s

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 0.6.cvs20060212-1
- Update to latest CVS to get some of Nalin's fixes

* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> - 0.6-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.6-1
- Update to 0.6, adding an autostart file

* Fri Dec  9 2005 Jesse Keating <jkeating@redhat.com> - 0.5-2.1
- rebuilt

* Thu Dec  1 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5-2
- rebuild for new dbus

* Tue Nov  8 2005 Christopher Aillon <caillon@redhat.com> 0.5-1
- Update to 0.5

* Tue Nov  1 2005 Christopher Aillon <caillon@redhat.com> 0.4-1
- Update to 0.4

* Mon Oct 31 2005 Christopher Aillon <caillon@redhat.com> 0.3-1
- Update to 0.3, working with newer versions of krb5 and NetworkManager

* Tue Aug 16 2005 David Zeuthen <davidz@redhat.com>
- Rebuilt

* Tue Mar 22 2005 Nalin Dahyabhai <nalin@redhat.com> 0.2-5
- Change Requires: krb5 to krb5-libs, repeat $ -> %% fix for build requirements.

* Tue Mar 22 2005 Dan Williams <dcbw@redhat.com> 0.2-4
- Fix $ -> %% for Requires: krb5 >= ...

* Mon Mar 21 2005 David Zeuthen <davidz@redhat.com> 0.2-3
- Fix up BuildRequires and Requires (#134704)

* Fri Mar  4 2005 David Zeuthen <davidz@redhat.com> 0.2-2
- Rebuild

* Mon Aug 16 2004 GNOME <jrb@redhat.com> - auth-dialog
- Initial build.

